using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using UUN;
using System.Data.SqlClient;
using System.IO;
using System.Text;
using System.Net;

public partial class Admin_Main : System.Web.UI.Page
{
    private 访问 访问;
    protected bool 是否可升级;
    protected void Page_Load(object sender, EventArgs e)
    {
        访问 = new 访问(this.Context);
        访问.开始处理("后台首页", "网站后台", "后台首页", new 访问.回调委托(ZhiXing));
        访问.关闭连接();
    }

    private void ZhiXing()
    {
        访问.验证管理员();
        设置 设置 = new 设置(File.ReadAllText(Server.MapPath("~/Data/TongJi/ZongTi.xml"), Encoding.UTF8));
        KaiShiTongJiShiJian.Text = Convert.ToString(设置["开始统计时间"]);
        TongJiTianShu.Text = Convert.ToString(设置["统计天数"]);
        ZongDianJiShu.Text = Convert.ToString(设置["总点击数"]);
        ZhouDianJiShu.Text = Convert.ToString(设置["周点击数"]);
        JinDianJiShu.Text = Convert.ToString(设置["今点击数"]);
        ZuoDianJiShu.Text = Convert.ToString(设置["昨点击数"]);
        ZongIPShu.Text = Convert.ToString(设置["总IP数"]);
        ZhouIPShu.Text = Convert.ToString(设置["周IP数"]);
        JinIPShu.Text = Convert.ToString(设置["今IP数"]);
        ZuoIPShu.Text = Convert.ToString(设置["昨IP数"]);
        HuiYuanZaiXianShu.Text = Convert.ToString(Application["UUN_UUN3G_ZaiXianHuiYuanShu"]);
        DangQianZaiXianShu.Text = Convert.ToString(Application["UUN_UUN3G_ZaiXianYongHuShu"]);

        是否可升级 = UUNSoft.是否可升级();
    }
}
